package domain

type AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItemdiscountQueryactivityChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam) SetByChannel(v bool) *AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam) SetChannelConfigList(v []AlibabaWdkMarketingItemdiscountQueryactivityChannelConfig) *AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
